Package uk.me.nxg.unity

# Class SimpleBinaryUnit

java.lang.Object
uk.me.nxg.unity.OneUnit
uk.me.nxg.unity.SimpleUnit
uk.me.nxg.unity.SimpleBinaryUnit

All Implemented Interfaces:
  `Comparable<OneUnit>`

public class SimpleBinaryUnit extends SimpleUnit
A unit which has a prefix which is a round power of 1024. This will have been detected through the presence of one of the 'binary' prefixes kibi, mebi, and so on, as specified by ISO/IEC 80000-13 Sect.4 (or the earlier IEEE standard 1541-2002). Note that Resolution 3 of the 27th CGPM defines ronna/ronto/quetta/quecto, but doesn't mention the binary prefixes.

## Method Summary

### Methods inherited from class uk.me.nxg.unity.SimpleUnit

`compareTo, equals, getBaseUnitDefinition, getBaseUnitName, getBaseUnitString, getDimensions, getOriginalUnitString, getPrefix, hashCode, isRecognisedUnit, isRecognisedUnit, isRecommendedUnit, satisfiesUsageConstraints, toDebugString, toString, toString, unitString, unitString`

### Methods inherited from class uk.me.nxg.unity.OneUnit

`divide, getExponent, isQuoted, reciprocate, wasGuessed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`